Bug 1007277 - Update DOC-105009 (module classification document) for EAP 6.2.0
Update DOC-105009 (module classification document) for EAP 6.2.0
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 04:34 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:15:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-12 04:34:21 EDT
DOC-120188 [1] needs to be updated with 6.2.0 classifications. Document being out of date is a blocker for verification.
Comment 1 Jakub Cechacek 2013-09-12 04:34:38 EDT
[1] https://docspace.corp.redhat.com/docs/DOC-105009
Comment 2 Jakub Cechacek 2013-09-30 08:41:26 EDT
There are still several modules missing:


org.jboss.as.system-jmx - this is still private in document. However JMX has been TP for a while.  
org.jboss.as.core-security - missing
org.jboss.as.patching.cli - missing                 
org.jboss.as.patching - missing                     
org.jboss.ws.cxf.jbossws-cxf-transports-udp -missing
Comment 3 Jakub Cechacek 2013-10-10 08:20:29 EDT
Modules mentioned above are still missing in the document (currently testing 6.2.0.ER5)
Comment 4 Shelly McGowan 2013-10-20 09:54:13 EDT
I will update the document.
Comment 5 Shelly McGowan 2013-10-21 14:59:29 EDT
Module Classification Document[1],Version 50, has been updated with an EAP 6.2.0 column inclusive of adding the missing modules above.  Moving to ON_QA to verify.
Comment 6 Jakub Cechacek 2013-10-22 04:04:41 EDT
Missing classification for "org.jboss.genericjms" -- currently classified as public in its module.xml 

Also "org.jboss.as.patching-cli" should probably be named "org.jboss.as.patching.cli". This is not a big issue, however If my assumption is correct, please fix the name (as I am parsing the docspace page with a script)
Comment 8 Yong Yang 2013-10-28 04:01:54 EDT
Added org.jboss.genericjms, and renamed "org.jboss.as.patching-cli" to "org.jboss.as.patching.cli".
Comment 10 Jakub Cechacek 2013-11-05 04:51:21 EST
According to BZ912619 "org.jboss.security.negotiation" should be public. I've changed the classification for 6.2.0 in the document. Other than that, everything seems to be in place. 


Verified 6.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.